Package org.apache.sysds.runtime.ooc.cache.io

# Class OOCIOHandler.SourceReadRequest

java.lang.Object
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceReadRequest

Enclosing interface:
  OOCIOHandler

public static class OOCIOHandler.SourceReadRequest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`blen`
`final long`
`cols`
`final long`
`estNnz`
`final Types.FileFormat`
`format`
`final boolean`
`keepOpenOnLimit`
`final long`
`maxBytesInFlight`
`final String`
`path`
`final long`
`rows`
`final OOCStream<IndexedMatrixValue>`
`target`

## Constructor Summary

Constructors
Constructor
Description
`SourceReadRequest(String path, Types.FileFormat format, long rows, long cols, int blen, long estNnz, long maxBytesInFlight, boolean keepOpenOnLimit, OOCStream<IndexedMatrixValue> target)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

public final String path

### format

public final Types.FileFormat format

### rows

public final long rows

### cols

public final long cols

### blen

public final int blen

### estNnz

public final long estNnz

### maxBytesInFlight

public final long maxBytesInFlight

### keepOpenOnLimit

public final boolean keepOpenOnLimit

### target

public final OOCStream<IndexedMatrixValue> target

## Constructor Details

### SourceReadRequest

public SourceReadRequest(String path, Types.FileFormat format, long rows, long cols, int blen, long estNnz, long maxBytesInFlight, boolean keepOpenOnLimit, OOCStream<IndexedMatrixValue> target)